VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsSound"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Dim SID As Long, SndName() As String

Public Enum Sounds
  None = 0
  Ding = 1
  Dong = 2
  Bell = 3
  Chime = 4
End Enum

Public Property Let SoundID(ID As Sounds)
SID = TestID(ID)
End Property

Public Property Get SoundID() As Sounds
SoundID = SID
End Property

Public Property Get SoundName() As String
SoundName = SndName(SID)
End Property

Public Sub Play(Optional ID As Sounds)
Dim A As String
A = App.Path
If Right$(A, 1) <> "\" Then A = A & "\"
SID = TestID(ID)
Debug.Print "play " & A & SndName(SID) & ".mp3"
End Sub

Private Function TestID(ID As Long) As Long
If ID > 0 And ID <= UBound(SndName) Then
  TestID = ID
Else
  'MsgBox "Value out of bounds"
  TestID = SID
End If
End Function

Private Sub Class_Initialize()
SndName = Split("None,Ding,Dong,Bell,Chime", ",")
End Sub
